<?php
session_start();
    include_once("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session

    date_default_timezone_set('America/Mexico_City');
    setlocale(LC_ALL,"es_ES");

    $envio=$_POST['flete'];
    $calificado=$_POST['calif'];
    $centroent=$_POST['centroent'];
    $tiponota=$_POST['tiponota'];
    $entre_per=$_POST['entrega_pe'];
    $rexp=$_POST['reexp'];
    if($tiponota==11){
             echo "<SCRIPT LANGUAGE='JavaScript'>
              window.onload = function tipo_nota(){document.bgColor = '#A9F5F2';}
              </script>";
          echo "<h1><center>Nota de Salida</center></h1>";
    }
    else echo "<br><font size=\"6\" color=\"#5C3C12\">Nota de venta</font><br><br>";


    $ob;
    $x=0;
    $w=0;
    $reg=0;
    $reg2=0;
    $peso=0;
    $pesototal;
    $flete; 
    $prod_list=0;
    $listaCantidad[]=NULL;
    $listaNombre[]=NULL;
    $tope=$_POST["topeprom"];
    $lista=array();
    $lista_cant=array();
    $canti[]=NULL;
    $idprod[]=NULL;
    $nombreProd[]=NULL;
    global $prod_exist;

    $cuenta=$_POST['cuentale'];
    $cuentap=$_POST['cuentalep'];
    $idin = $sesion->id;
    $errorinv=false;
?>
<script language='JavaScript' src='popcalendar.js'></script>
<script language='JavaScript' src='../scripts/jquery-2.2.3.min.js'></script>
<script language='JavaScript' src='../scripts/validadorvoucher.js'></script>
<script language='JavaScript' src='../scripts/Val_2.js'></script>
<script language='JavaScript' src="../scripts/control_tipo_pago.js"></script>

<?php
  $rfc=$_POST['rfcpr'];
  $qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado, vip FROM inversionista WHERE rfc =\"$rfc\"";
  $cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
  $rp = mysqli_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $localidad=$rp->estados_idestado;$vip=$rp->vip;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysqli_query($conexion, $qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysqli_error($conexion));
  $gtot=0; $puntos=0;
  echo"<center>";
  echo"<FORM ACTION='eventonew3vip.php' method='POST' id='dataped'>";
  echo"<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table><br>";
  echo"Contenido del pedido:
			<table border=1><tr><td>
			<table CellPadding=5>
			<tr bgcolor=\"#006633\">
        <th><font color=\"#FFFFFF\">Cant</font></th>
        <th><font color=\"#FFFFFF\">Producto</font></th>
  			<th><font color=\"#FFFFFF\">Precio</font></th>
        <th><font color=\"#FFFFFF\">Puntos</font></th>
			</tr>";
  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"]
  ;    $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
      echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
      <input type=hidden name=copia_precio$k value='$A3[$k]'>
      <input type=hidden name=copia_puntos$k value='$A5[$k]'>
      <input type=hidden name=cant$k value='$A1[$k]'> 
      <input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";



 if($A4[$k]==525 || $A4[$k]==1090){$reg=1;$reg2=1;}//verificar si es inscripcion y quitar regalo

      $tot=$A1[$k]*$A3[$k];
      $gtot+=$tot;
      $puntot=$A1[$k]*$A5[$k];
      $puntos+=$puntot;

      echo"<font size=2><tr bgcolor=\"#CCFFCC\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\">$A2[$k]</td> 
      <td align=\"center\">$A3[$k]</td> <td align=\"center\">$A5[$k]</td></font></tr>";

      $cip="SELECT productos.nombreProd, promop.idprodp
            from promod join promop on promod.id_promo=promop.promop
            join productos on promop.idprodp=productos.id_prod
            where promod.id_promo = $A4[$k]";
      $qcip=mysqli_query($conexion, $cip) or die ("Error en la consulta del id de si es promo: ".mysqli_error($conexion));

      if(mysqli_num_rows($qcip) > 0)
      {
        for($j=0; $rw=mysqli_fetch_array($qcip); $j++)
        { 
          $promo_canti[$k][$rw[1]] = $_POST["cant$k-$rw[1]"]; ?>
          <tr>
            <td><?php echo ($promo_canti[$k][$rw[1]] * $A1[$k]);?></td>
            <td><?php echo $rw[0];?></td>
          </tr>
        <?php }
      }
    }
  }

  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $canti[$k] = $_POST["cant$k"];
      $idprod[$k] = $_POST["copia_id_prod$k"];
      $cprecio[$k] = $_POST["copia_precio$k"];
      $nombrep[$k] = $_POST["copia_nombreProd$k"];
     
    }
    
  }

	echo"</table></td><td><center><b>Resumen Producto a Entregar:</b></center>";
    
	echo"<table CellPadding=5>

			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Exist</font></th>
			</tr>";


  for($k = 0; $k < $cuenta; $k++){
        $busquedadatos = "SELECT productos.nombreProd, promop.cantp, idprodp
                          FROM promod JOIN promop ON promod.id_promo = promop.promop
                          JOIN productos ON promop.idprodp = productos.id_prod
                          WHERE promod.id_promo = '" . $idprod[$k] . "'";
        $resconsulta = mysqli_query($conexion, $busquedadatos);
        if(mysqli_num_rows($resconsulta) > 0){
            while($ob = mysqli_fetch_array($resconsulta)){
                $prod_exist = array_search($ob[0],$listaNombre);
                if($promo_canti[$k][$ob[2]] > 0){
                  if($prod_exist === False){
                      $listaNombre[$x] = $ob[0];
                      $listaCantidad[$x] = $promo_canti[$k][$ob[2]] * (($canti[$k] > 1) ? $canti[$k] : 1);
                      $x++;
                  }
                  else{
                      $listaCantidad[$prod_exist] += ($promo_canti[$k][$ob[2]] * (($canti[$k] > 1) ? $canti[$k] : 1));
                  }
                }
                else
                {
                  unset($promo_canti[$k][$ob[2]]);
                }
            }
        }
    }//promociones

  //echo "<input type='hidden' name='promo_canti' value='" . serialize($promo_canti) . "' >";

  for($k = 0; $k < $cuenta; $k++){
        $sql = "SELECT * FROM  productos WHERE id_prod = '$idprod[$k]'";
        $respuestaprod = mysqli_query($conexion, $sql);
        if(mysqli_affected_rows($conexion)){
            $prod_exist2 = array_search($nombrep[$k],$listaNombre);
            if($prod_exist2 === False){//producto no existe en lista
                $listaNombre[$x] = $nombrep[$k];
                $listaCantidad[$x] = $canti[$k];
                $x++;
            }
            else{//producto existe en la lista (sumar coincidencias)
                $listaNombre[$prod_exist2] = $nombrep[$k];
                $listaCantidad[$prod_exist2] += $canti[$k];
            }
        }
    }//articulos

    $dia=date("d");


 /*  if($puntos>=624 && $dia<=10 && $tiponota==10 && $reg==0 && $calificado!=1 && $vip==0)
    {
    	$listaNombre[$x]="Acqua_125ml";
    	$listaCantidad[$x]="1";
    	$x++;	
    }
*/
    echo "<input type='hidden' name='ticket_prod' value='" . serialize($listaNombre) . "' >";
    echo "<input type='hidden' name='ticket_canti' value='" . serialize($listaCantidad) . "' >";

    if($envio==1)
    {
        for($peso;$peso<$x;$peso++)
        {
          $calculapeso="SELECT peso from productos where nombreProd='$listaNombre[$peso]'";
          $Qpesos=mysqli_query($conexion, $calculapeso);
          $pesos=mysqli_fetch_array($Qpesos);
          $cantporart=$listaCantidad[$peso]*$pesos[0];
          $pesototal+=$cantporart;
        }
        $pesokg=$pesototal/1000;
        $kiloextra=$pesokg-5;
      if($pesokg>5)
      {
          $flete=80;
          $kiloextracosto=$kiloextra*13;
          $flete=$kiloextracosto+$flete;
          $gtot+=$flete;
        if($rexp>0)
          {
            $flete+=$rexp;
          }
        }
        else
        {
           $flete=80;
           $gtot+=$flete;
          if($rexp>0)
          {
            $flete+=$rexp;
            $gtot+=$flete;
          }
        }
    }
  

  for($h=0;$h<$x;$h++)
    {
      $elprod=$listaNombre[$h];
	    $qp31 = "SELECT cantidad from productos join stock on productos.id_prod=stock.idprod where nombreProd='$listaNombre[$h]' and idcd=$centroent";
	    $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
      $rp31 = mysqli_fetch_object($cp31);	
	    $exist = $rp31->cantidad;
      if($exist<$listaCantidad[$h]){$errorinv=true;}
      echo "<tr bgcolor='#ecf9e8'><td>$listaCantidad[$h]</td><td>$listaNombre[$h]</td><td>$exist</td></tr>";
    }
  echo"</table>";
	if($errorinv==true){echo"<br><font color='#EF0000'><b><centeR>Se est&aacute; solicitando una cantidad<bR> mayor a existencias</b></center></font>";}
	echo"</td></tr></table>";
	echo"<br><input type=hidden name='rfcpr' value=\"$rfc\"><table cellspacing=5>
			<tr bgcolor=\"#CCFFCC\">
			<td>Precio: $calificado $reg</td>
			<td><b>$ $gtot</b></td>
      <td>Peso(Kg):</td>
      <td><b>$pesokg</b></td>
      <td>Flete:</td>
      <td><b>$flete</b></td>
			<input type='hidden' value='$gtot' id='totals'>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table>";
  echo"<br>";
  echo"Forma de Pago:<br><FORM ACTION='eventonew2.php' method='POST' id='dataped'>
			<table cellspacing=5 cellpadding=5>
			<tR bgcolor='#ecf9e8'><td><b>Efectivo:</b></td><td></td><td>$<input type='text' id='efecti' value='$gtot' size=5></td>
			<td><input type='button' onclick='efectivo()' value='Agregar'></td></tr> ";
    if($dato[0]==10 || $dato[0]==13 || $dato[0]==84 || $dato[0]==85 || $dato[0]==90){
    echo "
			<tR  bgcolor='#ecf9e8'><td><b>Por Pagar:</b></td><td></td><td>$<input type='text' id='pagop' value='$gtot' size=5></td>
			<td><input type='button' onclick='porpagar()' value='Agregar'></td></tr>";
		}
	echo "		
			<tR  bgcolor='#ecf9e8'><td><b>Dep&oacute;sito:</b></td><td></td><td>$<input type='text' id='depo' value='$gtot' size=5></td>
			<td><input type='button' onclick='depositos()' value='Agregar'></td></tr>
			<tR bgcolor='#ecf9e8'><td><b>Tarjeta:</b></td><td><font color=\"#294da7\"><b>Comision 4%:</b></font><input type='checkbox' id='comis' checked></td>
			<td>$<input type='text' id='montotarje' value='$gtot' size=5></td>
			<td><input type='button' onclick='tarjetas()' value='Agregar'></td></tr>
			<tR bgcolor='#ecf9e8'><td><b>Regalias:</b></td><tD><select name='regs'  id='rega' onchange='activaregs()' ><option value='0' >No Utilizar Regalias</option>";
//	while($rCuenta = mysqli_fetch_row($cC3))
  //{
 //   echo"<option value='$rCuenta[1]-$rCuenta[0]'>$rCuenta[0] $ $rCuenta[1]</option> ";     
//  };
  echo"</select></td>
	    <td>$<input type='text' id='regvalue' size=5 disabled></td><td><input type='button' id='regs' value='Agregar' onclick='regalias()' disabled></td></tR>
	    <tr  bgcolor='#ecf9e8'><td><b>Voucher:</b></td><td>Voucher No.<input type='text' name='vo_id' size='6' id='vouch'><input type='button' value='Buscar' onclick='validarvounota()'>
	    <br><center></label><br>Saldo Disponible:$<label color=\"#294da7\" id='mostrarvalor' value='-'></label></center></td>
			<td>$<input type='text' id='vouvalue' value='0' size=5>
			</td><td><input type='button' value='Agregar' onclick='voucher()'></td></tr></table><br>";
  echo"<input type=hidden name=cuentale value='$cuenta'> <input type=hidden name=cuentalep value='$cuentap'>";
  echo "<input type='hidden' id='valorvou'> ";
	echo"Resumen de Pago:<br><table cellspacing 5>
			
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Efectivo:</font></td><td>$<input type='text' name='ef' size='5' value='0'   placeholder='Efectivo' id='ef1'  disabled></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Deposito:</font></td><td>$<input type='text' name='de' size='5' value='0' placeholder='Deposito' id='de1' disabled></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Tarjeta:</font></td><td>$<input type='text' name='ta' size='5' value='0' id='ta1' placeholder='Tarjeta' disabled ></td></tr>
			<tr>
      <td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Comision:</font></td><td>$<input type='text' name='tae' size='5' value='0' id='ta2' placeholder='Tarjeta' disabled ></td></tr>
      <tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Regalias:</font></td><td>$<input type='text' name='re' size='5' value='0'  id='re1' placeholder='Regalias' disabled ></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Voucher</font></td><td>$<input type='text' name='vo' size='5' value='0'  id='vo1' placeholder='Voucher' disabled ></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Por Pagar:</font></td><td>$<input type='text' name='pp' size='5' value='0'  id='pp1' placeholder='Por Pagar' disabled ></td></tr>
			<input type='hidden' name='totales' value='$gtot'> 
			
      <input type='hidden' name='tp' value='$tiponota'>
      <input type='hidden' name='cdent' value='$centroent'>

			</table>";	
	echo"<br><font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br><br>";
	echo "<input type=hidden name=cuentale value='$cuenta'> <input type=hidden name=cuentalep value='$cuentap'>
				<input type='button' name='confirmap'  value='Continuar' id='avanza' onclick='checartotal()'>
				</form></body></html>";

	echo "<form action='pedido_pendiente.php' method='post'>";
  //Id del comprador
echo "<input type='hidden' name='id_inversionista' value='$id_dist' >";
echo "<input type='hidden' name='tipodnota' value='$tiponota' >";
//lista de productos-nombres de promociones
  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"];
      $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
      echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
      <input type=hidden name=copia_precio$k value='$A3[$k]'>
      <input type=hidden name=copia_puntos$k value='$A5[$k]'>
      <input type=hidden name=cant$k value='$A1[$k]'> 
      <input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";

    }
  }

//lista sumada por tipo de productos
	echo "<input type='hidden' name='ticket_prod' value='" . serialize($listaNombre) . "' >";
    echo "<input type='hidden' name='ticket_canti' value='" . serialize($listaCantidad) . "' >";
//contador_productos
    echo "<input type='hidden' name='cant_prod' value='$cuenta'>";
	echo "<br><font color=\"red\"><b>**Guardar el pedido si todav&iacute;a no se hace el pago**</b></font><br><br><input type='submit' value='Guardar pedido'>";
	echo "</form>"
?>

